FWOHCI(4)

NAME
fwohci - OHCI IEEE1394 chipset device driver

SYNOPSIS
fwohci* at cardbus? function ?
fwohci* at pci? dev ? function ?

HARDWARE
The fwohci driver provides support for PCI/CardBus IEEE1394 interface cards. The driver supports the following IEEE 1394 OHCI chipsets:

•   Adaptec AHA-894x/AIC-5800
•   Apple Pangea
•   Apple UniNorth
•   Intel 82372FB
•   IOGEAR GUF320
•   Lucent / Agere FW322/323
•   NEC uPD72861
•   NEC uPD72870
•   NEC uPD72871/2
•   NEC uPD72873
•   NEC uPD72874
•   National Semiconductor CS4210
•   Ricoh R5C551
•   Ricoh R5C552
•   Sony CX3022
•   Sony i.LINK (CXD1947)
•   Sony i.LINK (CXD3222)
•   Texas Instruments PCI4410A
•   Texas Instruments PCI4450
•   Texas Instruments PCI4451
•   Texas Instruments TSB12LV22
•   Texas Instruments TSB12LV23
•   Texas Instruments TSB12LV26
•   Texas Instruments TSB43AA22
•   Texas Instruments TSB43AB21/A/AI/A-EP
•   Texas Instruments TSB43AB22/A
•   Texas Instruments TSB43AB23
•   Texas Instruments TSB82AA2
•   VIA Fire II (VT6306)

SEE ALSO
fwip(4), ieee1394if(4), sbp(4), fwctl(8)

HISTORY
The fwohci device driver first appeared in FreeBSD 5.0. It was added to NetBSD 4.0.

AUTHORS
-nosplit The fwohci device driver was written by Katsushi Kobayashi and Hidetoshi Shimokawa. It was added to NetBSD 4.0 by KIYOHARA Takashi.

BUGS
The driver allows physical access from any node on the bus by default. This means that any devices on the bus can read and modify any memory space which can be accessed by an IEEE 1394 OHCI chip. It is allowed mostly for sbp(4) devices. This should be changed to allow it only for specific devices. Anyway, IEEE1394 is a bus and not expected to be connected with un-trustable devices because a node can monitor all the traffic.